/*******************************************************************************
//  版权所有  (C) 2015 刺客
//  文 件 名：MCPaymentInfo.cs
//  文件说明：会员消费支付方式记录实体；
//  版    本：
//
//  创建标识：陈志豪 2016-01-07 10:37:58
//
//  修改标识：
//  修改说明：
*******************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace VA.Modules.JDingMember.Interface.MemberConsume.ClassLibrary.Model
{
    /// <summary>
    /// 会员消费支付方式记录实体类 
    /// </summary>
    [Serializable]
    public class MCPaymentInfo
    {
        int _RID;
        string _BizNo;
        string _PayType_Code;
        string _PayType_Name;
        decimal _PayAmount;
        string _Certificate_No;

        ///<summary>
        ///记录ID
        ///</summary>
        public int RID
        {
            get { return _RID; }
            set { _RID = value; }
        }

        ///<summary>
        ///交易流水号
        ///</summary>
        public string BizNo
        {
            get
            {
                if (_BizNo == null)
                    return String.Empty;
                else
                    return _BizNo;
            }
            set { _BizNo = value; }
        }

        ///<summary>
        ///付款方式-代码 
        ///</summary>
        public string PayType_Code
        {
            get
            {
                if (_PayType_Code == null)
                    return String.Empty;
                else
                    return _PayType_Code;
            }
            set { _PayType_Code = value; }
        }

        ///<summary>
        ///付款方式-名称 
        ///</summary>
        public string PayType_Name
        {
            get
            {
                if (_PayType_Name == null)
                    return String.Empty;
                else
                    return _PayType_Name;
            }
            set { _PayType_Name = value; }
        }

        ///<summary>
        ///付款金额
        ///</summary>
        public decimal PayAmount
        {
            get { return _PayAmount; }
            set { _PayAmount = value; }
        }

        ///<summary>
        ///凭证号 
        ///</summary>
        public string Certificate_No
        {
            get
            {
                if (_Certificate_No == null)
                    return String.Empty;
                else
                    return _Certificate_No;
            }
            set { _Certificate_No = value; }
        }

        /// <summary>
        /// 深度克隆自身；
        /// </summary>
        /// <returns></returns>
        public MCPaymentInfo Clone()
        {
            MCPaymentInfo entity = new MCPaymentInfo();

            entity.RID = this.RID;
            entity.BizNo = this.BizNo;
            entity.PayType_Code = this.PayType_Code;
            entity.PayType_Name = this.PayType_Name;
            entity.PayAmount = this.PayAmount;
            entity.Certificate_No = this.Certificate_No;

            return entity;
        }

    } //class end.
} //namespace end.



